Hooks:PostHook(GuiTweakData,"init","yourreticlepack_hookidasdfhkasdkjfhskdj",function(self,tweak_data) --make sure you change "yourreticlepack_hookid" to something UNIQUE! if it is the same as any other hook (from your mod or from any other mod), it will cause problems!
	local wts = self.weapon_texture_switches
	
	local path = "units/svd_reticles/" --"units/svd_reticle_pack/" --make sure that this matches the path to the folder you put your reticle images in!
	
	local my_new_reticle_data = {
		name_id = "menu_svd_reticle", --this should match the string in your localization file (see english.txt for example)
		texture_path = path .. "reticle_svd_1_il" --this doesn't need to match above, but it probably should follow roughly the same naming convention. also make sure there's a number in the filename somewhere, because otherwise the game gets grumpy and might not recognize your reticle (only applies here as far as i can tell)
	}
	
--[[
	================================================================
	**************LONG EXPLANATION OF COLOR VARIANTS:**************
	================================================================
		- Color variants are found automatically according to the file name- 
		- In the base game, the only reticle colors are red, blue, green, and yellow 
			(other mods can add more colors, like this one https://modworkshop.net/mod/32504 - have a look at the guitweakdata.lua in that mod to see how it's done)
		
		- You don't need to mention each color variant in this file, you just need to specify the "base" file, which is red. 
		- For example, in this mod, the base file is:
	
			units/example_folder_name/svd_reticle_il.texture
	
		- Note how we don't need to say the file extension in my_new_reticle_data.
		- For any other given reticle color besides red,
			the game will look at the name you've given,
			write the name of the color before "_il" in the filename,
			(along with an extra underscore),
			and search for that new filename.
		- For example, in this mod, file names for the respective color variants blue, green, and yellow are:
			units/example_folder_name/svd_reticle_yellow_il.texture
			units/example_folder_name/svd_reticle_green_il.texture
			units/example_folder_name/svd_reticle_blue_il.texture
		
		- The same would go for any other color added via mods or (presumably) future updates.




	================================================================
	**************SHORT EXPLANATION OF COLOR VARIANTS:**************
	================================================================
		- Just go copy what I made lol, this mod is an easy template
--]]
	
	
	table.insert(wts.types.sight,#wts.types.sight + 1,my_new_reticle_data)
	
	--if you wanted to make a megapack, you could add multiple reticles at once with just a bit more lua
	
end)